Alert
AL00319 - (UPDATED) PI Data Archive 2017 is temporarily unavailable
2017-05-22
UPDATED May 23, 2017 (6:00pm PDT)

If you have already upgraded to PI Data Archive 2017, please contact OSIsoft Technical Support for a supported patch of PI Archive Subsystem (piarchss.exe) and PI Diagnostic Tools (pidiag.exe) binaries which resolves the regression.

OSIsoft will release an official PI Data Archive 2017 SP1 setup kit as soon as possible.
 

Older updates

May 22, 2017 (7:00pm PDT)

PI Data Archive 2017 introduced a critical regression that can lead to data loss when querying or writing to archive files that were auto-dynamic before upgrade. Symptoms include the following message in the PI Data Archive message log:
 [-11142] Record number too big for archive size
If you have downloaded PI Data Archive 2017 but not yet upgraded, do not upgrade.
 
If your system already has PI Data Archive 2017 installed:
  • Do not reprocess any auto-dynamic archives that were auto-dynamic before you upgraded.
  • Do not perform backfilling on any archives that were auto-dynamic before you upgraded.
If you have already upgraded to PI Data Archive 2017, OSIsoft will provide further information regarding the service patch and status of the fix, and advice for customers, within 24 hours of this alert.

For more information on the regression, please refer to Known Issue 17490.

May 19, 2017 (4:30pm PDT)

The install kit for PI Data Archive 2017 is temporarily unavailable for download. We will update this alert to let you know when it is available again.

OSIsoft apologizes for this inconvenience. Thank you for your patience.